import type { ConfigArgs } from './args';
export declare const javascriptLoader: (args: ConfigArgs, web?: boolean) => {
    test: RegExp;
    exclude: RegExp[];
    use: {
        loader: string;
        options: {
            babelrc: boolean;
            sourceType: string;
            presets: (string | (string | {
                targets: string;
                useBuiltIns: string;
                corejs: {
                    version: string;
                    proposals: boolean;
                };
            })[])[];
            plugins: (string | false | (string | {
                helpers: boolean;
                regenerator: boolean;
                corejs: boolean;
            })[] | (string | {
                version: string;
            })[] | (string | {
                cwd: string;
            })[] | undefined)[];
        };
    };
};
export declare const nodeLoader: (_args: ConfigArgs) => {
    test: RegExp;
    use: {
        loader: string;
    }[];
};
export declare const cssLoader: (args: ConfigArgs, web?: boolean) => {
    test: RegExp;
    use: (string | {
        loader: string;
        options?: undefined;
    } | {
        loader: string;
        options: {
            importLoaders: number;
            modules: {
                auto: boolean;
                localIdentName: string;
            };
            postcssOptions?: undefined;
        };
    } | {
        loader: string;
        options: {
            postcssOptions: {
                plugins: (string | {
                    browsers: string;
                })[][];
            };
            importLoaders?: undefined;
            modules?: undefined;
        };
    })[];
};
export declare const lessLoader: (args: ConfigArgs) => {
    test: RegExp;
    use: (string | {
        loader: string;
        options?: undefined;
    } | {
        loader: string;
        options: {
            importLoaders: number;
            modules: {
                auto: boolean;
                localIdentName: string;
            };
            postcssOptions?: undefined;
        };
    } | {
        loader: string;
        options: {
            postcssOptions: {
                plugins: (string | {
                    browsers: string;
                })[][];
            };
            importLoaders?: undefined;
            modules?: undefined;
        };
    })[];
};
export declare const assetsLoader: (_args: ConfigArgs) => {
    test: RegExp;
    type: string;
    parser: {
        dataUrlCondition: {
            maxSize: number;
        };
    };
};
export declare const resourceLoader: (_args: ConfigArgs) => {
    test: RegExp;
    type: string;
};
export declare const sharedObjectLoader: (_args: ConfigArgs) => {
    test: RegExp;
    type: string;
};
export declare const sourceLoader: (args: ConfigArgs) => {
    exclude: RegExp[];
    type: string;
};
//# sourceMappingURL=loaders.d.ts.map